> For the complete documentation index, see [llms.txt](https://developers.payssam.kr/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.payssam.kr/api/api-v1/call-back.md).

# 콜백

## 결제 상태 동기화

> 청구서를 통한 결제가 완료되면 페이민트 -> 파트너사에게 결제 상태를 전달합니다.  \
> 파트너사는 해당 URL로 결제 상태를 수신하여 자사 시스템에 반영합니다.  \
> 파트너사는 페이민트를 통해 결과를 수신할 수 있도록 REST api 형태로 URL을 전달해야합니다.  \
> \
> 아래의 필드들을 토대로 페이민트가 호출할 수 있도록 개발 후 수신 응답을 response 양식에 맞춰 개발해야 합니다.  \
> response 성공 예제 데이터가 동일한 양식으로 데이터가 오지 않거나 응답 오류가 발생할 경우 페이민트는 24시간동안 매시간마다 동기화를 재시도합니다.

```json
{"openapi":"3.0.1","info":{"title":"My Project API","version":"1.0.0"},"servers":[{"url":null,"description":"Generated server url"}],"paths":{"/{파트너사가 제공하는 callbackUrl}":{"post":{"tags":["erp-callback-controller"],"summary":"결제 상태 동기화","description":"청구서를 통한 결제가 완료되면 페이민트 -> 파트너사에게 결제 상태를 전달합니다.  \n파트너사는 해당 URL로 결제 상태를 수신하여 자사 시스템에 반영합니다.  \n파트너사는 페이민트를 통해 결과를 수신할 수 있도록 REST api 형태로 URL을 전달해야합니다.  \n\n아래의 필드들을 토대로 페이민트가 호출할 수 있도록 개발 후 수신 응답을 response 양식에 맞춰 개발해야 합니다.  \nresponse 성공 예제 데이터가 동일한 양식으로 데이터가 오지 않거나 응답 오류가 발생할 경우 페이민트는 24시간동안 매시간마다 동기화를 재시도합니다.","operationId":"makeURL","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErpCallbackVO"}}},"required":true},"responses":{"200":{"description":"성공","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Base"}}}}}}}},"components":{"schemas":{"ErpCallbackVO":{"required":["apikey","appr_state","bill_id"],"type":"object","properties":{"apikey":{"maxLength":32,"type":"string","description":"파트너 연동을 위한 고유키"},"bill_id":{"maxLength":20,"type":"string","description":"청구서 ID\n\n문자/숫자 20자리 (중복불가)\n\n -개발: 사업자번호 + 10자리 자유롭게 사용\n\n -운영: 20자리 자유롭게 사용"},"appr_card_type":{"type":"string","description":"결제카드종류"},"appr_pay_type":{"type":"string","description":"결제수단코드"},"appr_dt":{"type":"string","description":"승인일시"},"appr_origin_dt":{"type":"string","description":"원거래 승인일시"},"appr_price":{"type":"string","description":"승인금액"},"appr_num":{"type":"string","description":"승인번호"},"appr_origin_num":{"type":"string","description":"원거래승인번호"},"appr_state":{"type":"string","description":"결제 상태\n\nF:결제완료, W:미결제, C:취소, D:파기"},"appr_issuer":{"type":"string","description":"결제은행 / 카드명"},"appr_issuer_cd":{"type":"string","description":"발행카드코드/은행코드"},"appr_issuer_num":{"type":"string","description":"결제카드 / 계좌번호"},"appr_acquirer_cd":{"type":"string","description":"매입사코드"},"appr_acquirer_nm":{"type":"string","description":"매입사명"},"appr_res_cd":{"type":"string","description":"응답코드"},"appr_monthly":{"type":"string","description":"결제시 할부개월수"},"appr_cash_num":{"type":"string","description":"현금영수증 발급 승인번호"},"appr_cash_trader":{"type":"string","description":"현금영수증 발급 구분\n\n개인:0, 사업자:1"},"appr_cash_issuance_number":{"type":"string","description":"현금영수증 발급 요청 번호\n\n-현금영수증 발급 시 사용\n\n-자진발급시 \"0100001234\""}}},"Base":{"type":"object","properties":{"code":{"type":"string","description":"응답 코드"},"msg":{"type":"string","description":"응답 메세지"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.payssam.kr/api/api-v1/call-back.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
